# Loki::DeletableSingleton< T > Struct Template Reference
[Lifetime policies]

`#include <Singleton.h>`

List of all members.

## Static Public Member Functions

static void | GracefulDelete ()
| delete singleton object manually

## Detailed Description

### template<class T>
struct Loki::DeletableSingleton< T >

A DeletableSingleton allows the instantiated singleton to be destroyed at any time. The singleton can be reinstantiated at any time, even during program termination. If the singleton exists when the program terminates, it will be automatically deleted.

Usage:
  The singleton can be deleted manually:

DeletableSingleton<MyClass>::GracefulDelete();

The documentation for this struct was generated from the following file:

- Singleton.h